/* ************************************************************************

	Copyright:

	License:

	Authors:

************************************************************************ */

/**
 * This is the main application class of your custom application "logging"
 */
qx.Class.define("logging.list.Line",
{
extend : qx.ui.basic.Label,

/*
*****************************************************************************
	PROPERTIES
*****************************************************************************
*/
properties: {
	appearance: {
		refine: true,
		init: "list-line"
	},
	even: {
		init: false,
		apply: "__applyEven",
		check: "Boolean"
	}
},

construct: function(text, even) {
	this.base(arguments, text);
	this.setEven(even);
	this.setAllowGrowX(true);
	this.setAllowShrinkX(false);
	this.setRich(true);
},

/*
*****************************************************************************
	MEMBERS
*****************************************************************************
*/
members :
{
	__applyEven: function(val) {
		this.replaceState(val ? "odd" : "even", val ? "even" : "odd");
	}
}
});

